# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "osom_lib_arrays"
version = "0.1.33"
authors = ["Rafal Szefler <rafael.szefler@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "ABI-stable array types and helpers for osom_lib."
homepage = "https://github.com/RafalSzefler/osom_lib"
documentation = "https://docs.rs/osom_lib_arrays"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/RafalSzefler/osom_lib"

[features]
default = []
serde = ["dep:serde"]
std = [
    "osom_lib_alloc/std",
    "serde/std",
]

[lib]
name = "osom_lib_arrays"
path = "src/lib.rs"

[[test]]
name = "array_helpers"
path = "tests/array_helpers.rs"

[[test]]
name = "test_aligned_dynamic_array"
path = "tests/test_aligned_dynamic_array.rs"

[[test]]
name = "test_const_bufferer"
path = "tests/test_const_bufferer.rs"

[[test]]
name = "test_dynamic_array"
path = "tests/test_dynamic_array.rs"

[[test]]
name = "test_fixed_array"
path = "tests/test_fixed_array.rs"

[[test]]
name = "test_inline_array"
path = "tests/test_inline_array.rs"

[[test]]
name = "test_inline_fixed_array"
path = "tests/test_inline_fixed_array.rs"

[[test]]
name = "test_serde"
path = "tests/test_serde.rs"

[dependencies.osom_lib_alloc]
version = "0.1"

[dependencies.osom_lib_macros]
version = "0.1"

[dependencies.osom_lib_primitives]
version = "0.1"

[dependencies.osom_lib_reprc]
version = "0.1"

[dependencies.osom_lib_try_clone]
version = "0.1"

[dependencies.serde]
version = "1"
optional = true
default-features = false

[dev-dependencies.osom_lib_test_helpers]
version = "0.1"

[dev-dependencies.rstest]
version = "0.26"
